# DriveItems Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/driveitems/

Schema for the `DriveItems` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a drive item
- **`name`** _(string)_
  The name of the drive item
- **`public_url`** _(string)_
  The public URL of the drive item
- **`path`** _(string)_
  The path of the drive item
- **`urls`** _(array<object>)_
  The URLs of the drive item
  - **`url`** _(string)_
    The URL of the drive item
  - **`type`** _(string)_
    The type of the drive item
    Allowed: `self`, `thumbnail`
- **`type`** _(string)_
  The type of the drive item
  Allowed: `file`, `folder`
- **`has_children`** _(boolean)_
  Whether the drive item has children
- **`size`** _(integer)_
  The size of the drive item
- **`mime_type`** _(string)_
  The mime type of the drive item
- **`description`** _(string)_
  The description of the drive item
- **`parent`** _(object)_
  The parent folder of the drive item
  - **`id`** _(string)_
    The unique identifier for a folder
  - **`name`** _(string)_
    The name of the folder
- **`drive`** _(object)_
  The drive of the drive item
  - **`id`** _(string)_
    The unique identifier for a drive
- **`creator`** _(object)_
  The creator of the drive item
  - **`id`** _(string)_
    The unique identifier for a user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
- **`tags`** _(array<string>)_
  The tags associated with the drive item
- **`created_at`** _(string)_
  The date and time the drive item was created
- **`updated_at`** _(string)_
  The date and time the drive item was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/drive-items](/docs/api-reference/unified-file-storage-api/driveitems/list) — List Drive items
- [POST /unified/file-storage/drive-items](/docs/api-reference/unified-file-storage-api/driveitems/create) — Create Drive items
- [GET /unified/file-storage/drive-items/{id}](/docs/api-reference/unified-file-storage-api/driveitems/get) — Get Drive items
- [DELETE /unified/file-storage/drive-items/{id}](/docs/api-reference/unified-file-storage-api/driveitems/delete) — Delete Drive items
- [POST /unified/file-storage/drive-items/download](/docs/api-reference/unified-file-storage-api/driveitems/download) — Download Drive items
